
%define module		Net-Interface
%define name		perl-%{module}
%define version		1.011
%define release		%mkrel 10

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary: 	Perl extension to access network interfaces
License: 	GPL or Artistic
Group: 		Development/Perl
URL:        http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/Net/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Net::Interface is designed to make the use of ifconfig(1) and friends
unnecessary from within Perl.  It provides methods to get at set all the
attributes of an interface, and even create new logical or physical interfaces
(if your O/S supports it).

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"




%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README*
%exclude %{_mandir}/man3/*
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net



%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

